| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Attributes | List of all members
erpc::RPMsgBaseTransport Class Reference
Transport Layers » RPMsg-Lite Transport Layers » | RPMsg-Lite RTOS

Transport that other RPMsg transports inherits. More...

`#include <erpc_rpmsg_lite_base_transport.h>`

Inheritance diagram for erpc::RPMsgBaseTransport:
[legend]
Collaboration diagram for erpc::RPMsgBaseTransport:
[legend]

## Public Member Functions
struct rpmsg_lite_instance * | get_rpmsg_lite_instance (void)
| This function returns pointer to instance of RPMSG lite. More...
Public Member Functions inherited from erpc::Transport
| Transport (void)
| Constructor.
virtual | ~Transport (void)
| Transport destructor.
virtual erpc_status_t | receive (MessageBuffer *message)=0
| Prototype for receiving message. More...
virtual erpc_status_t | send (MessageBuffer *message)=0
| Prototype for send message. More...
virtual bool | hasMessage (void)
| Poll for an incoming message. More...
virtual void | setCrc16 (Crc16 *crcImpl)
| This functions sets the CRC-16 implementation. More...

## Static Protected Attributes
static struct rpmsg_lite_instance * | s_rpmsg
static uint8_t | s_initialized

## Detailed Description

Transport that other RPMsg transports inherits.

## Member Function Documentation

struct rpmsg_lite_instance* erpc::RPMsgBaseTransport::get_rpmsg_lite_instance | ( | void |  | ) |
| inline

This function returns pointer to instance of RPMSG lite.

Return values

  pointer | to instance of RPMSG lite

## Member Data Documentation

struct rpmsg_lite_instance * RPMsgBaseTransport::s_rpmsg
| static protected

Pointer to instance of RPMSG lite.

uint8_t RPMsgBaseTransport::s_initialized
| static protected

Represent information if the rpmsg-lite was initialized.

The documentation for this class was generated from the following files:

- erpc_rpmsg_lite_base_transport.h
- erpc_rpmsg_lite_rtos_transport.cpp
- erpc_rpmsg_lite_transport.cpp
- erpc_rpmsg_tty_rtos_transport.cpp